org.apache.mina.codec.delimited

## Class ProtobufEncoder<INPUT extends com.google.protobuf.GeneratedMessage>

- java.lang.Object
- - org.apache.mina.codec.delimited.SizePrefixedEncoder<INPUT>
  - - org.apache.mina.codec.delimited.ProtobufEncoder<INPUT>

All Implemented Interfaces:
  ProtocolEncoder<INPUT,ByteBuffer,Void>, StatelessProtocolEncoder<INPUT,ByteBuffer>

    public class ProtobufEncoder<INPUT extends com.google.protobuf.GeneratedMessage>
    extends SizePrefixedEncoder<INPUT>

Encode for protocol buffer messages.

Author:
  Apache MINA Project

### Constructor Summary

Constructors
Constructor and Description
`ProtobufEncoder(Class<INPUT> clazz)`

### Method Summary

Methods
`static <L extends com.google.protobuf.GeneratedMessage> ProtobufEncoder<L>` `newInstance(Class<L> clazz)`

### Methods inherited from class org.apache.mina.codec.delimited.SizePrefixedEncoder

`createEncoderState, encode`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ProtobufEncoder

    public ProtobufEncoder(Class<INPUT> clazz)

### Method Detail

#### newInstance

    public static <L extends com.google.protobuf.GeneratedMessage> ProtobufEncoder<L> newInstance(Class<L> clazz)